summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/dodoc
diff options
context:
space:
mode:
authorUlrich Mueller <ulm@gentoo.org>2011-02-25 08:43:17 +0100
committerZac Medico <zmedico@gentoo.org>2011-02-25 10:08:51 -0800
commit26ba46a9e620c5dd5d3699a854a68ab8cab04464 (patch)
treefdea24791c687ae4d9e3a966be2810e2a96a479b /bin/ebuild-helpers/dodoc
parent4609f5da90f3d925255d68c2cacc1bda6814dfcf (diff)
downloadportage-26ba46a9e620c5dd5d3699a854a68ab8cab04464.tar.gz
portage-26ba46a9e620c5dd5d3699a854a68ab8cab04464.tar.bz2
portage-26ba46a9e620c5dd5d3699a854a68ab8cab04464.zip
dodoc: Honour exit status of install, bug 356389.
Diffstat (limited to 'bin/ebuild-helpers/dodoc')
-rwxr-xr-xbin/ebuild-helpers/dodoc6
1 files changed, 4 insertions, 2 deletions
diff --git a/bin/ebuild-helpers/dodoc b/bin/ebuild-helpers/dodoc
index 29b690112..67391a855 100755
--- a/bin/ebuild-helpers/dodoc
+++ b/bin/ebuild-helpers/dodoc
@@ -16,8 +16,10 @@ fi
ret=0
for x in "$@" ; do
- if [ -s "${x}" ] ; then
- install -m0644 "${x}" "${dir}"
+ if [ -d "${x}" ] ; then
+ eqawarn "QA Notice: dodoc argument '${x}' is a directory"
+ elif [ -s "${x}" ] ; then
+ install -m0644 "${x}" "${dir}" || { ((ret|=1)); continue; }
ecompress --queue "${dir}/${x##*/}"
elif [ ! -e "${x}" ] ; then
echo "!!! ${0##*/}: $x does not exist" 1>&2